### Method

# Gtk MediaStream ended

deprecated: 4.4

#### Declaration [src]

    void
    gtk_media_stream_ended (
      GtkMediaStream* self
    )

#### Description [src]

Pauses the media stream and marks it as ended.

This is a hint only, calls to `gtk_media_stream_play()` may still happen.

The media stream must be prepared when this function is called.

Deprecated since: 4.4

Use `gtk_media_stream_stream_ended()` instead.

This method is not directly available to language bindings.

Gets property | `Gtk.MediaStream:ended`